using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections;

namespace Exemplul3
{
    class Program
    {
        static void Main(string[] args)
        {
            //exemplu de utilizare a clasei Hashtable
            // 

            //crearea colectiei
            Hashtable tblAsocMasini = new Hashtable();

            //adaugarea perechilor cheie-valoare
            tblAsocMasini.Add("9000", "Aveo");
            tblAsocMasini.Add("8000", "Logan");
            tblAsocMasini.Add("9200", "Albea");
            tblAsocMasini.Add("10000", "Fiesta");

            //cautarea perechii pentru care valoarea cheii este egala cu 9200
            if (tblAsocMasini.ContainsKey("9200"))
                Console.WriteLine("Exista o masina la pretul de 9200 : " +
                tblAsocMasini["9200"]);
            //cautarea unei perechi cu valoarea Fiesta
            if (tblAsocMasini.ContainsValue("Fiesta"))
                Console.WriteLine("Fiesta - in stoc!");
            Console.WriteLine();

            //parcurgerea elementelor din Hashtable, utilizand un enumerator
            IDictionaryEnumerator en = tblAsocMasini.GetEnumerator();
            while (en.MoveNext())
            {
                string str = en.Value.ToString();
                Console.WriteLine(str);
            }
            Console.WriteLine();

            //stergerea perechii pentru care valoarea cheii este egala cu 9200
            tblAsocMasini.Remove("9200");
            en = tblAsocMasini.GetEnumerator();
            while (en.MoveNext())
            {
                string str = en.Value.ToString();
                Console.WriteLine(str);
            }

        }
    }
}
